# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetObjectTag, DXSetObjectTag

Function

Manipulates unique Object identifiers.

Syntax
`
#include <dx/dx.h>
`

int DXGetObjectTag(Object o)
Object DXSetObjectTag(Object o, int tag)

Functional Details

Every Object is assigned a unique nonzero integer tag when it is created. In addition, the executive sets the Object tag of Objects passed to and returned from modules by using `DXSetObjectTag`. This tag is used, for example, by the cache system to identify Objects. `DXGetObjectTag` returns the Object identifier tag for Object `o`. `DXGetObjectTag` can be used with the cache routines `DXGetCacheEntry` and `DXSetCacheEntry` to cache intermediate results between calls to a module.

Note: | `DXSetObjectTag` is intended for use only by the executive and should not be used by module writers.

Return Value

Returns the Object identifier or returns 0 and sets an error code.

See Also

`DXGetCacheEntry, DXGetCacheEntryV, DXSetCacheEntry, DXSetCacheEntryV`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]